Subject: Re: Has anyone looked at Gettext support for Git itself?

From: Michael J Gruber <[email-masked]>
Date: Tue, 18 May 2010 09:51:09 +0200

Will Palmer venit, vidit, dixit 17.05.2010 20:56:
> On Mon, 2010-05-17 at 19:59 +0200, Jan Hudec wrote:
>> On Mon, May 17, 2010 at 17:12:22 +0200, Thomas Rast wrote:
>>> Ævar Arnfjörð Bjarmason wrote:
>>>> On Mon, May 17, 2010 at 14:32, Thomas Rast <[email-masked]> wrote:
>>>>> Ævar Arnfjörð Bjarmason wrote:
>>
>> There are cases though, where somebody calls *porcelain* commands in their
>> scripts and there they occasionally may need this LC_ALL=C thing. I suppose
>> having a global option to turn off localization might be useful for such
>> users.
> 
> Would it be that bad to define something like GIT_PLUMBING=1 to mean "I
> am using this as plumbing"? It seems that this is the way things are
> headed with --porcelain, even if the name is backwards.
> 
> I agree that error messages should be localised either way- if you're
> trying to parse an error message, something's always gone wrong.
> 
> Does anyone know how large of a non-english-speaking community git
> currently has? Would this effort include adding localised git command
> names or arguments?

Note that "non-english-speaking" here really means "requiring or badly
wanting translated git". There are many non-native speakers here, and
your following reasoning

> It may also be worth mentioning that a git "commit", for example,
> doesn't have anything (other than historical reasons) to do with the
> English word "commit". A git commit is a git commit, and perhaps such
> conceptual terms should best be left untranslated anyway. It would
> certainly make it easier to answer questions in #git if people continued
> to use the same terms everywhere. Just as a weak anecdotal argument,
> when someone uses the term "revision" in #git, there's generally a lack
> of understanding about what a "commit" is. "commit" means something very
> specific in git, and I would hesitate to try to translate that into
> another language as if it's just a synonym for "revision" or
> "checkpoint", or "transaction", etc

explains why many non-native speakers prefer an English git. When
confronted with the localised German git-gui for the first time, I
really did not understand the menu entries at all. And my German is
pretty good ;)

Michael